ONVIF::Device::Elements::SetNetworkProtocols(3pm)

NAME
ONVIF::Device::Elements::SetNetworkProtocols

DESCRIPTION
Perl data type class for the XML Schema defined element SetNetworkProtocols from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   NetworkProtocols

     $element->set_NetworkProtocols($data);
     $element->get_NetworkProtocols();

METHODS

  new
 my $element = ONVIF::Device::Elements::SetNetworkProtocols->new($data);

Constructor. The following data structure may be passed to new():

 {
   NetworkProtocols =>  { # ONVIF::Device::Types::NetworkProtocol
     Name => $some_value, # NetworkProtocolType
     Enabled =>  $some_value, # boolean
     Port =>  $some_value, # int
     Extension =>  { # ONVIF::Device::Types::NetworkProtocolExtension
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL